Skip to main content
PUT
Set the app registration for an OAuth MCP server

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

artifact_id
string<uuid>
required

The artifact's ID.

Body

application/json

A client registered by hand, for servers that don't allow it automatically.

client_id
string
required
Required string length: 1 - 512
client_secret
string | null
Maximum string length: 4096

Response

Successful Response

Whether this server has an OAuth client for this deployment.

configured
boolean
required
required
boolean
default:false